 
package ibase.webitm.ejb.dis; 

import java.rmi.RemoteException;
import org.w3c.dom.*;

import ibase.webitm.ejb.*;
import ibase.webitm.utility.ITMException;

@javax.ejb.Remote
public interface PorcpProcessRemote extends ProcessRemote
{
	public String wfValData() throws RemoteException,ITMException;
	
	public String wfValData(String xmlString_, String xmlString1,String xmlString2, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException;
	
	public String wfValData(Document dom_,Document dom1,Document dom2,String objContext,String editFlag,String xtraParams) throws RemoteException,ITMException;
	
	public String itemChanged() throws RemoteException,ITMException;

	public String itemChanged(String xmlString_, String xmlString1,String xmlString2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException;

//	public String itemChanged(Document dom_, Document dom1, Document dom2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException,ITMException;
	
	public String getData(String xmlString, String xmlString2, String windowName, String xtraParams) throws RemoteException,ITMException;
	public String getData(Document headerDom, Document detailDom, String windowName, String xtraParams) throws RemoteException,ITMException;
	
	public String process(String xmlString, String xmlString2, String windowName, String xtraParams) throws RemoteException,ITMException;
	public String process(Document headerDom, Document detailDom, String windowName, String xtraParams) throws RemoteException,ITMException;
}